<?php

class pluginCloudTag extends Plugin {
    
    private $loadOnController = array(
		'new-content',
		'edit-content'
	);

	public function init() {
		$this->dbFields = array(
			
		);
	}
	
	public function afterAdminLoad() {
	    $html = '

	    <script>
	   
	        //future array of page tags - arrayTags
	        //working with a tag from page tags - tagspan
            //get tag text - texttag
            
	        
	        //getting the current page tags
            var arrayTags = $("#jstags").val();
            
            //if there are tags, then we convert them to an array and display them in the page tags block. Tags validation comes from input jstags
            if(arrayTags != "") {
                var arrayTags = arrayTags.split(",");
               //alert(arrayTags.length);
            
                for(var i = 0; i < arrayTags.length; i++) {
                    var tagspan = "<span class=\"nowtag\" style=\"color:#fff;background-color: #1E90FF; padding:2px; font-size:0.75rem; border-radius: 3px;\">"+arrayTags[i]+"</span> ";
                    $(".listtags").append(tagspan);
                }
                //alert(1);
            }
        </script>
        
        <script>
                $(".alltags").click(function () {
                    var texttag = $(this).text();
                    $("#jstags").val($("#jstags").val()+texttag+",");
                    $(".listtags").append("<span class=\"nowtag\" style=\"color:#fff;background-color: #1E90FF; padding:2px; font-size:0.75rem; border-radius: 3px;\">"+texttag+"</span> ");
                    
        });
        </script>
        
        <script>
            $(".clearlist").click(function () {
                $(".listtags").empty();
                $("#jstags").val("");
            })
        </script>';
        return $html;
	}

	public function adminSidebar() {
	    
	    
	    if (!in_array($GLOBALS['ADMIN_CONTROLLER'], $this->loadOnController)) {
			return false;
		}

		$items = getTags();
        
        $html  = '<h3>page tags</h3><div class="plugin plugin-tags listtags"></div>';
        $html .= '<p class="clearlist" style="background-color:#FA8072; color:#fff; padding: 2px; border-radius: 3px;text-align:center;font-size: 0.8rem;margin-top: 5px;">clear the list</p>';
		$html .= '<div class="plugin plugin-tags">';

		$html .= '<h3 class="plugin-label">cloudTags</h3>';
		
		foreach ($items as $tag) {

            /* a tag filter will be added in the future
            if (strpos($tag->name(),'') !== false) {
               $html .= '<span class="alltags" style="background-color: #87CEFA; padding:2px; font-size:0.75rem; border-radius: 3px; display: none;">'.$tag->name().'</span> ';
               continue;
            }*/
            
            
            $html .= '<span class="alltags" style="background-color: #87CEFA; padding:2px; font-size:0.75rem; border-radius: 3px;">'.$tag->name().'</span> ';
        
    }

		$html .= '</div>';
        $html .= '';
		return $html;
	}
}
